0 Replies Latest reply on Apr 12, 2016 8:31 AM by nikolad46795566

    Version 7.02

    cflang77

      I used to play a game called Dragonball Z: Mission to Namek. I downloaded Shockwave version 12, but when the game loads, it gives me a message that says I need 7.02 or later, which 12 is definitely. When I click Okay, it sends me to the download site. Is there anything I can do to fix this? Is there anywhere I can get 7.02?